PHP Manual
Prev |  | Next

# runkit_method_copy

(PECL)

runkit_method_copy -- Copies a method from class to another

## Description

bool runkit_method_copy ( string dClass, string dMethod, string sClass [, string sMethod] )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

`dClass`

  Destination class for copied method

`dMethod`

  Destination method name

`sClass`

  Source class of the method to copy

`sMethod`

  Name of the method to copy from the source class. If this parameter is omitted, the value of `dMethod` is assumed.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. runkit_method_copy() example

`<?php class Foo { function example() { return "foo!\n"; } } class Bar { // initially, no methods } // copy the example() method from the Foo class to the Bar class, as baz() runkit_method_copy('Bar', 'baz', 'Foo', 'example'); // output copied function echo Bar::baz(); ?>`

The above example will output:

    foo!

## See Also

runkit_method_add()
runkit_method_redefine()
runkit_method_remove()
runkit_method_rename()
runkit_function_copy()

Prev | Home | Next
runkit_method_add | Up | runkit_method_redefine